# $Revision: 1.10 $, $Date: 2010/02/21 19:06:17 $
Summary:	An interface to X selections ("the clipboard")
Summary(pl.UTF-8):	Interfejs do schowka X Window System
Name:		xclip
Version:	0.12
Release:	1
Epoch:		0
License:	GPL v2+
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/xclip/%{name}-%{version}.tar.gz
# Source0-md5:	f7e19d3e976fecdc1ea36cd39e39900d
URL:		http://sourceforge.net/projects/xclip
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-util-imake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xclip is a command line utility that provides an interface to X
selections ("the clipboard"). It can read data from standard in or a
file and place it in an X selection for pasting into other X
applications. xclip can also print an X selection to standard out,
which can then be redirected to a file or another program.

%description -l pl.UTF-8
xclip jest narzędziem linii poleceń dostarczającym interfejsu do
schowka X Window System. Może czytać dane ze standardowego wejścia lub
pliku i wstawiać je do schowka X w celu wklejenia do innych aplikacji.
Może również wypisać zawartość schowka na standardowe wyjście, które
następnie można przekierować do pliku lub innego programu.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/xclip
%attr(755,root,root) %{_bindir}/xclip-copyfile
%attr(755,root,root) %{_bindir}/xclip-cutfile
%attr(755,root,root) %{_bindir}/xclip-pastefile
%{_mandir}/man1/xclip.1*
%{_mandir}/man1/xclip-copyfile.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xclip.spec,v $
Revision 1.10  2010/02/21 19:06:17  duddits
- up to 0.12
- %files

Revision 1.9  2009/04/23 09:55:04  glen
- verbose files

Revision 1.8  2009/04/23 09:52:50  glen
- update to 0.11 (new homepage), xorg deps

Revision 1.7  2009/04/23 09:40:25  glen
- release 2

Revision 1.6  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.4  2005/02/19 06:27:35  ankry
- cleanups

Revision 1.3  2005/02/15 14:18:39  malekith
- move package from /usr/X11R6 to /usr

Revision 1.2  2005/02/14 21:50:44  qboosh
- fixed X name, enhanced pl desc, use metapackage names in BRs

Revision 1.1  2005/02/13 21:46:00  malekith
- new
